Subject: Re: [net] net:ethernet:adi:adin1110: Fix forwarding offload

From: Simon Horman <[email-masked]>
Date: Sun, 10 Sep 2023 17:04:02 +0200

On Fri, Sep 08, 2023 at 03:58:08PM +0300, Ciprian Regus wrote:
> Currently, when a new fdb entry is added (with both ports of the
> ADIN2111 bridged), the driver configures the MAC filters for the wrong
> port, which results in the forwarding being done by the host, and not
> actually hardware offloaded.
> 
> The ADIN2111 offloads the forwarding by setting filters on the
> destination MAC address of incoming frames. Based on these, they may be
> routed to the other port. Thus, if a frame has to be forwarded from port
> 1 to port 2, the required configuration for the ADDR_FILT_UPRn register
> should set the APPLY2PORT1 bit (instead of APPLY2PORT2, as it's
> currently the case).
> 
> Fixes: bc93e19d088b ("net: ethernet: adi: Add ADIN1110 support")
> Signed-off-by: Ciprian Regus <[email-masked]>

I think the subject prefix might be better written as:
'net: ethernet: adi: adin1110: '.
But that notwithstanding this patch looks good to me.

Reviewed-by: Simon Horman <[email-masked]>